import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'

import VxeUIAll from 'vxe-pc-ui'
import 'vxe-pc-ui/es/style.css'

import VxeUITable from 'vxe-table'
import 'vxe-table/es/style.css'

Vue.config.productionTip = false

Vue.use(VxeUIAll)
Vue.use(VxeUITable)
Vue.use(ElementUI)

const bus = new Vue()
Vue.prototype.$bus = bus

new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount('#app')
